<%@ page language="java" contentType="image/gif" import="java.awt.*,java.awt.image.*,java.io.*,java.util.*" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
</head>
<jsp:useBean id="epm" scope="session" class="EnergyProfileManager"/>
<body>
<%
  			int fuel = epm.getFuelWC();
            String itemTitle = epm.getItemTitleWC();
            boolean success = epm.processForBarChart(fuel,itemTitle);

			String scopeContent = (String)epm.scopeContentSet[epm.selectSetPane.itemCombo.getSelectedIndex()];
			String condition = epm.getCondition();
			epm.selectSetPane.itemCombo.setSelectedItem(request.getParameter("scope2"));
			String scopeContent2 = (String)epm.scopeContentSet[epm.selectSetPane.itemCombo.getSelectedIndex()];
			
		
            if(success) {
		
				request.setAttribute("condition", condition);
				request.setAttribute("scopeContent", scopeContent);
				request.setAttribute("scopeContent2", scopeContent2);
				
					RequestDispatcher rd = application.getRequestDispatcher("/ComparisonChart");			   				 						 

					if( rd != null)
                       rd.forward(request,response);

            } //if(success)

%>
</body>
</html>


